<?xml version="1.0" encoding="US-ASCII"?> 

<!DOCTYPE MCPackage SYSTEM "file:com/tivoli/pf/mcr/dtd/mcr.dtd"
[ <!ENTITY PS_NS_IMPLEMENTATION_COMP_VERSION "1.1.4">
  <!ENTITY COMMON_COMPONENT_VERSION "1.1.4">
]>
<!--
*************************************************************
* Licensed Materials - Property of IBM
* 5698-TKS
* (C) Copyright IBM Corp. 2000   All Rights Reserved 
* 
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with 
* IBM Corp.
*************************************************************
-->


<MCPackage name="com.tivoli.pf.ns.implementation.impl" version="&PS_NS_IMPLEMENTATION_COMP_VERSION;" packageType="implementation">

	<Dependency name="PsCommonInt" version="&COMMON_COMPONENT_VERSION;" packageType="interface"/>
        
        <CompatibleUpgradeOf version="1.1.0"/>


<!-- Resource Type                                                              -->

	<ResourceType name="Action">
  		<DisplayInfo>
    			<DisplayName key="ResActionDisplayNameKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="Display Name"/>

    			<ShortDescription key="ResActionShortDescriptionKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="ActionShort Description"/>

    			<LongDescription key="ResActionLongDescriptionKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="ResLong Description"/>

   			<Icon size="medium" URL="com/tivoli/pf/ns/res/dummy_m.gif"/>
     			<Icon size="small" URL="com/tivoli/pf/ns/res/dummy_s.gif"/>
    			<Icon size="tiny" URL="com/tivoli/pf/ns/res/dummy_t.gif"/>
 		</DisplayInfo>

      <AttributeList>
         <AttributeDef name="DisplayName" customizable="no">
            <AttributeType>
               <SerializableObjectType className="com.tivoli.pf.ns.external.NsDisplayableText"></SerializableObjectType>
            </AttributeType>
         </AttributeDef>
      </AttributeList>

	</ResourceType>


<!-- Resource Type                                                              -->

	<ResourceType name="ActionGroup">
  		<DisplayInfo>
    			<DisplayName key="ResActionGrpDisplayNameKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="Display Name"/>

    			<ShortDescription key="ResActionGrpShortDescriptionKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="Short Description"/>

    			<LongDescription key="ResActionGrpLongDescriptionKey" URL="com/tivoli/pf/ns/nls/MCBundle_en_US.class"
				defaultText="Long Description"/>

   			<Icon size="medium" URL="com/tivoli/pf/ns/res/dummy_m.gif"/>
     			<Icon size="small" URL="com/tivoli/pf/ns/res/dummy_s.gif"/>
    			<Icon size="tiny" URL="com/tivoli/pf/ns/res/dummy_t.gif"/>
 		</DisplayInfo>

      <AttributeList>
         <AttributeDef name="DisplayName" customizable="no">
            <AttributeType>
               <SerializableObjectType className="com.tivoli.pf.ns.external.NsDisplayableText"></SerializableObjectType>
            </AttributeType>
         </AttributeDef>
      </AttributeList>

	</ResourceType>



<!-- Provider                                                                   -->

	<ProviderDefinition name="NsJCPortfolioActionProvider" relationship="java" initData="none" termData="none">
  		<ProviderImpl URL="com/tivoli/pf/ns/implementation/NsActionProvider.class"/>
		<ResourceTypeRef>
   			<Reference mcName="ActionGroup"/>
		</ResourceTypeRef>
	</ProviderDefinition>


	<ProviderDefinition name="NsWCPortfolioActionProvider" relationship="html" initData="none" termData="none">
  		<ProviderImpl URL="com/tivoli/pf/ns/implementation/NsActionProvider.class"/>
		<ResourceTypeRef>
   			<Reference mcName="ActionGroup"/>
		</ResourceTypeRef>
	</ProviderDefinition>


<!-- Mapper                                                                     -->

	<MapperDefinition name="NsActionMapper" initData="none" termData="none">
  		<MapperImpl URL="com/tivoli/pf/ns/implementation/NsActionMapper.class"/>
		<ResourceTypeRef>
   			<Reference mcName="Action"/>
		</ResourceTypeRef>
	</MapperDefinition>

<!-- Mapper                                                                     -->

	<MapperDefinition name="NsActionGroupMapper" initData="none" termData="none">
  		<MapperImpl URL="com/tivoli/pf/ns/implementation/NsActionMapper.class"/>
		<ResourceTypeRef>
   			<Reference mcName="ActionGroup"/>
		</ResourceTypeRef>
	</MapperDefinition>




</MCPackage>
