<?xml version="1.0" encoding="US-ASCII"?>
<!DOCTYPE MCPackage SYSTEM "file:com/tivoli/pf/mcr/dtd/mcr.dtd" >
<!--
*************************************************************
* Licensed Materials - Property of IBM
* 5698-TKS
* (C) Copyright IBM Corp. 2000   All Rights Reserved 
* 
* US Government Users Restricted Rights - Use, duplication, or
* disclosure restricted by GSA ADP Schedule Contract with 
* IBM Corp.
*************************************************************
-->
<MCPackage version="1.0" name="Chat">
  <ActionGroup name="ChatActions">
    <ActionRef>
      <Reference mcName="Chat"/>
    </ActionRef>
    <DisplayInfo>
      <DisplayName defaultText="Chat Actions" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="RCGRP_DISPLAY_NAME"/>
      <ShortDescription defaultText="Hello World Control Actions" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="RCGRP_SHORT_DESC"/>
      <LongDescription defaultText="Hello World Control Actions" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="RCGRP_LONG_DESC"/>
    </DisplayInfo>
  </ActionGroup>
  
  <Action name="Chat">
    <FUDefinitionRef>
      <Reference mcName="ChatFU"/>
    </FUDefinitionRef>
    <DisplayInfo>
      <DisplayName defaultText="Hello World Endpoint" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="REBOOT_DISPLAY_NAME"/>
      <ShortDescription defaultText="Hello World Endpoint" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="REBOOT_SHORT_DESC"/>
      <LongDescription defaultText="Hello World Endpoint" URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="REBOOT_LONG_DESC"/>
    </DisplayInfo>
  </Action>
  
  <FUDefinition name="ChatFU" GUIPlatform="html">
  
    <FUImplDefinitionRef>
      <Reference mcName="ChatFUImpl"/>
    </FUImplDefinitionRef>
    
    <CompletionValueList>
      <CompletionValue value="0">
        <DisplayInfo>
          <ShortDescription defaultText="Successfully rebooted endpoint." URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="REBOOT_COMPVAL_SUCCESS"/>
        </DisplayInfo>
      </CompletionValue>
      <CompletionValue value="1">
        <DisplayInfo>
          <ShortDescription defaultText="Failed to reboot endpoint." URL="com/tivoli/pf/wc/samples/fu/chat/ChatResources.class" key="REBOOT_COMPVAL_FAILURE"/>
        </DisplayInfo>
      </CompletionValue>
    </CompletionValueList>
  </FUDefinition>
  
  <FUImplDefinition name="ChatFUImpl">
    <FUImpl URL="com/tivoli/pf/wc/samples/fu/chat/ChatFU.class"/>
  </FUImplDefinition>
  <FUGUIDefinition name="ChatGUI">
    <FUGUIImpl platform="html4.0" URL="com/tivoli/pf/wc/samples/fu/chat/ChatGUI.class"/>
  </FUGUIDefinition>
  


</MCPackage>
