@echo off
REM Launch the JC from an orb.
rem
rem Licensed Materials - Property of IBM
rem 5698-TKS
rem (C) Copyright IBM Corp. 2000   All Rights Reserved 
rem 
rem US Government Users Restricted Rights - Use, duplication, or
rem disclosure restricted by GSA ADP Schedule Contract with 
rem IBM Corp.
rem

setlocal & pushd & set RET=

rem input is setupenv.bat
set THEINPUT=%1
call %THEINPUT%

rem loop to determine if PsJcLauncherService is running.

rem OK                = 0               
rem USAGE             = 1            
rem NOT_FOUND         = 2
rem SECURITY_FAILURE  = 3
rem COMMAND_EXCEPTION = 4
rem FAIL              = 5
rem LAUNCH_SERVICE_FAIL = 31

rem start a loop
rem try launching JC
rem capture errorlevel
rem increment counter
rem if 5 loops, quit trying
rem if the return int from wcmd is => 1 
rem   then some system error happened, so try again. 
rem if the return int is 0 or 1 
rem   then success and leave this bat file.
rem
rem the rest of the implementation is in JCH.bat
rem

wcmd -u JCLauncher -f %ORBDIR%\bin\w32-ix86\.JCLauncher_p jclauncher launchJC
set RESULT=%errorlevel%

rem test value
rem set RESULT=3

if %RESULT% GTR 0 goto :SLEEPHERE
:RETURNFROMSLEEP
set RET=%RESULT%

popd & endlocal & set RET=%RET%
echo %RET%
goto :EOF

rem //////////////////////////////////
:SLEEPHERE
rem if there is an error, raise a DOS window so user can see error
start "Trying to start Tivoli Console" /I /MAX %~d0%~p0JCH.bat %THEINPUT%
goto :RETURNFROMSLEEP
rem //////////////////////////////////
